Update a single interleaving
Archive an interleaving experiment by setting archived. Use the start and stop endpoints to change its status.
curl -X PUT 'https://api.growthbook.io/api/v1/interleavings/{id}' \
-H 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.growthbook.io/api/v1/interleavings/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"project": "<string>",
"owner": "<string>",
"tags": ["<string>"],
"archived": True,
"trackingKey": "<string>",
"hashAttribute": "<string>",
"seed": "<string>",
"variations": [],
"jsonSchema": {
"schema": "<string>",
"simple": {
"fields": [
{
"key": "<string>",
"required": True,
"default": "<string>",
"description": "<string>",
"enum": ["<string>"],
"min": 123,
"max": 123,
"nullable": True,
"jsonSchema": "<string>"
}
],
"additionalProperties": True,
"invariants": [
{
"name": "<string>",
"rule": "<string>",
"message": "<string>"
}
]
},
"enabled": True
},
"datasource": "<string>",
"interleavingQueryId": "<string>",
"userIdType": "<string>",
"metrics": [
{
"id": "<string>",
"analyses": [{ "type": "paired" }]
}
],
"coverage": 0.5,
"condition": "<string>",
"savedGroups": [{ "ids": ["<string>"] }],
"prerequisites": [
{
"id": "<string>",
"condition": "<string>"
}
],
"environmentSettings": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
project: '<string>',
owner: '<string>',
tags: ['<string>'],
archived: true,
trackingKey: '<string>',
hashAttribute: '<string>',
seed: '<string>',
variations: [],
jsonSchema: {
schema: '<string>',
simple: {
fields: [
{
key: '<string>',
required: true,
default: '<string>',
description: '<string>',
enum: ['<string>'],
min: 123,
max: 123,
nullable: true,
jsonSchema: '<string>'
}
],
additionalProperties: true,
invariants: [{name: '<string>', rule: '<string>', message: '<string>'}]
},
enabled: true
},
datasource: '<string>',
interleavingQueryId: '<string>',
userIdType: '<string>',
metrics: [{id: '<string>', analyses: [{type: 'paired'}]}],
coverage: 0.5,
condition: '<string>',
savedGroups: [{ids: ['<string>']}],
prerequisites: [{id: '<string>', condition: '<string>'}],
environmentSettings: {}
})
};
fetch('https://api.growthbook.io/api/v1/interleavings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.growthbook.io/api/v1/interleavings/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'project' => '<string>',
'owner' => '<string>',
'tags' => [
'<string>'
],
'archived' => true,
'trackingKey' => '<string>',
'hashAttribute' => '<string>',
'seed' => '<string>',
'variations' => [
],
'jsonSchema' => [
'schema' => '<string>',
'simple' => [
'fields' => [
[
'key' => '<string>',
'required' => true,
'default' => '<string>',
'description' => '<string>',
'enum' => [
'<string>'
],
'min' => 123,
'max' => 123,
'nullable' => true,
'jsonSchema' => '<string>'
]
],
'additionalProperties' => true,
'invariants' => [
[
'name' => '<string>',
'rule' => '<string>',
'message' => '<string>'
]
]
],
'enabled' => true
],
'datasource' => '<string>',
'interleavingQueryId' => '<string>',
'userIdType' => '<string>',
'metrics' => [
[
'id' => '<string>',
'analyses' => [
[
'type' => 'paired'
]
]
]
],
'coverage' => 0.5,
'condition' => '<string>',
'savedGroups' => [
[
'ids' => [
'<string>'
]
]
],
'prerequisites' => [
[
'id' => '<string>',
'condition' => '<string>'
]
],
'environmentSettings' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.growthbook.io/api/v1/interleavings/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"project\": \"<string>\",\n \"owner\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"archived\": true,\n \"trackingKey\": \"<string>\",\n \"hashAttribute\": \"<string>\",\n \"seed\": \"<string>\",\n \"variations\": [],\n \"jsonSchema\": {\n \"schema\": \"<string>\",\n \"simple\": {\n \"fields\": [\n {\n \"key\": \"<string>\",\n \"required\": true,\n \"default\": \"<string>\",\n \"description\": \"<string>\",\n \"enum\": [\n \"<string>\"\n ],\n \"min\": 123,\n \"max\": 123,\n \"nullable\": true,\n \"jsonSchema\": \"<string>\"\n }\n ],\n \"additionalProperties\": true,\n \"invariants\": [\n {\n \"name\": \"<string>\",\n \"rule\": \"<string>\",\n \"message\": \"<string>\"\n }\n ]\n },\n \"enabled\": true\n },\n \"datasource\": \"<string>\",\n \"interleavingQueryId\": \"<string>\",\n \"userIdType\": \"<string>\",\n \"metrics\": [\n {\n \"id\": \"<string>\",\n \"analyses\": [\n {\n \"type\": \"paired\"\n }\n ]\n }\n ],\n \"coverage\": 0.5,\n \"condition\": \"<string>\",\n \"savedGroups\": [\n {\n \"ids\": [\n \"<string>\"\n ]\n }\n ],\n \"prerequisites\": [\n {\n \"id\": \"<string>\",\n \"condition\": \"<string>\"\n }\n ],\n \"environmentSettings\": {}\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.growthbook.io/api/v1/interleavings/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"project\": \"<string>\",\n \"owner\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"archived\": true,\n \"trackingKey\": \"<string>\",\n \"hashAttribute\": \"<string>\",\n \"seed\": \"<string>\",\n \"variations\": [],\n \"jsonSchema\": {\n \"schema\": \"<string>\",\n \"simple\": {\n \"fields\": [\n {\n \"key\": \"<string>\",\n \"required\": true,\n \"default\": \"<string>\",\n \"description\": \"<string>\",\n \"enum\": [\n \"<string>\"\n ],\n \"min\": 123,\n \"max\": 123,\n \"nullable\": true,\n \"jsonSchema\": \"<string>\"\n }\n ],\n \"additionalProperties\": true,\n \"invariants\": [\n {\n \"name\": \"<string>\",\n \"rule\": \"<string>\",\n \"message\": \"<string>\"\n }\n ]\n },\n \"enabled\": true\n },\n \"datasource\": \"<string>\",\n \"interleavingQueryId\": \"<string>\",\n \"userIdType\": \"<string>\",\n \"metrics\": [\n {\n \"id\": \"<string>\",\n \"analyses\": [\n {\n \"type\": \"paired\"\n }\n ]\n }\n ],\n \"coverage\": 0.5,\n \"condition\": \"<string>\",\n \"savedGroups\": [\n {\n \"ids\": [\n \"<string>\"\n ]\n }\n ],\n \"prerequisites\": [\n {\n \"id\": \"<string>\",\n \"condition\": \"<string>\"\n }\n ],\n \"environmentSettings\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.growthbook.io/api/v1/interleavings/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"project\": \"<string>\",\n \"owner\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"archived\": true,\n \"trackingKey\": \"<string>\",\n \"hashAttribute\": \"<string>\",\n \"seed\": \"<string>\",\n \"variations\": [],\n \"jsonSchema\": {\n \"schema\": \"<string>\",\n \"simple\": {\n \"fields\": [\n {\n \"key\": \"<string>\",\n \"required\": true,\n \"default\": \"<string>\",\n \"description\": \"<string>\",\n \"enum\": [\n \"<string>\"\n ],\n \"min\": 123,\n \"max\": 123,\n \"nullable\": true,\n \"jsonSchema\": \"<string>\"\n }\n ],\n \"additionalProperties\": true,\n \"invariants\": [\n {\n \"name\": \"<string>\",\n \"rule\": \"<string>\",\n \"message\": \"<string>\"\n }\n ]\n },\n \"enabled\": true\n },\n \"datasource\": \"<string>\",\n \"interleavingQueryId\": \"<string>\",\n \"userIdType\": \"<string>\",\n \"metrics\": [\n {\n \"id\": \"<string>\",\n \"analyses\": [\n {\n \"type\": \"paired\"\n }\n ]\n }\n ],\n \"coverage\": 0.5,\n \"condition\": \"<string>\",\n \"savedGroups\": [\n {\n \"ids\": [\n \"<string>\"\n ]\n }\n ],\n \"prerequisites\": [\n {\n \"id\": \"<string>\",\n \"condition\": \"<string>\"\n }\n ],\n \"environmentSettings\": {}\n}"
response = http.request(request)
puts response.read_body{
"interleaving": {
"id": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"name": "<string>",
"owner": "<string>",
"tags": [
"<string>"
],
"archived": true,
"status": "draft",
"key": "<string>",
"trackingKey": "<string>",
"hashAttribute": "<string>",
"seed": "<string>",
"variations": [
{
"id": "<string>",
"key": "<string>",
"name": "<string>",
"config": "<string>",
"description": "<string>"
}
],
"jsonSchema": {
"schemaType": "schema",
"schema": "<string>",
"simple": {
"type": "object",
"fields": [
{
"key": "<string>",
"type": "integer",
"required": true,
"default": "<string>",
"description": "<string>",
"enum": [
"<string>"
],
"min": 123,
"max": 123,
"nullable": true,
"jsonSchema": "<string>"
}
],
"additionalProperties": true,
"invariants": [
{
"name": "<string>",
"rule": "<string>",
"message": "<string>"
}
]
},
"enabled": true,
"date": "2023-11-07T05:31:56Z"
},
"datasource": "<string>",
"interleavingQueryId": "<string>",
"userIdType": "<string>",
"metrics": [
{
"id": "<string>",
"analyses": [
{
"type": "paired"
}
]
}
],
"environmentSettings": {},
"description": "<string>",
"project": "<string>",
"ownerEmail": "<string>",
"dateStarted": "2023-11-07T05:31:56Z",
"dateStopped": "2023-11-07T05:31:56Z",
"coverage": 0.5,
"condition": "<string>",
"savedGroups": [
{
"match": "all",
"ids": [
"<string>"
]
}
],
"prerequisites": [
{
"id": "<string>",
"condition": "<string>"
}
]
}
}{
"confirmation": {
"id": "<string>",
"status": "pending",
"actions": [
{
"action": "feature.create",
"environments": [
"<string>"
]
}
],
"summary": "<string>",
"url": "<string>",
"expiresAt": "<string>",
"response": {
"status": 123,
"body": "<unknown>"
},
"note": "<string>"
},
"message": "<string>"
}Authorizations
If using Bearer auth, pass the Secret Key as the token:
curl https://api.growthbook.io/api/v1/features -H "Authorization: Bearer secret_abc123DEF456"
Path Parameters
Body
10000The userId or email address of the owner. If an email address is provided, it will be used to look up the userId of the matching organization member. If an ID is provided, it will be validated as existing in the organization.
Stop a running interleaving experiment before archiving it.
Replaces both rankers. Each keeps its id by position, so the first entry updates the first ranker.
Show child attributes
Show child attributes
Validation schema to stage on the draft. The server sets date, so don't send it.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
0 <= x <= 1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Resource updated
Show child attributes
Show child attributes
Was this page helpful?
curl -X PUT 'https://api.growthbook.io/api/v1/interleavings/{id}' \
-H 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.growthbook.io/api/v1/interleavings/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"project": "<string>",
"owner": "<string>",
"tags": ["<string>"],
"archived": True,
"trackingKey": "<string>",
"hashAttribute": "<string>",
"seed": "<string>",
"variations": [],
"jsonSchema": {
"schema": "<string>",
"simple": {
"fields": [
{
"key": "<string>",
"required": True,
"default": "<string>",
"description": "<string>",
"enum": ["<string>"],
"min": 123,
"max": 123,
"nullable": True,
"jsonSchema": "<string>"
}
],
"additionalProperties": True,
"invariants": [
{
"name": "<string>",
"rule": "<string>",
"message": "<string>"
}
]
},
"enabled": True
},
"datasource": "<string>",
"interleavingQueryId": "<string>",
"userIdType": "<string>",
"metrics": [
{
"id": "<string>",
"analyses": [{ "type": "paired" }]
}
],
"coverage": 0.5,
"condition": "<string>",
"savedGroups": [{ "ids": ["<string>"] }],
"prerequisites": [
{
"id": "<string>",
"condition": "<string>"
}
],
"environmentSettings": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
project: '<string>',
owner: '<string>',
tags: ['<string>'],
archived: true,
trackingKey: '<string>',
hashAttribute: '<string>',
seed: '<string>',
variations: [],
jsonSchema: {
schema: '<string>',
simple: {
fields: [
{
key: '<string>',
required: true,
default: '<string>',
description: '<string>',
enum: ['<string>'],
min: 123,
max: 123,
nullable: true,
jsonSchema: '<string>'
}
],
additionalProperties: true,
invariants: [{name: '<string>', rule: '<string>', message: '<string>'}]
},
enabled: true
},
datasource: '<string>',
interleavingQueryId: '<string>',
userIdType: '<string>',
metrics: [{id: '<string>', analyses: [{type: 'paired'}]}],
coverage: 0.5,
condition: '<string>',
savedGroups: [{ids: ['<string>']}],
prerequisites: [{id: '<string>', condition: '<string>'}],
environmentSettings: {}
})
};
fetch('https://api.growthbook.io/api/v1/interleavings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.growthbook.io/api/v1/interleavings/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'project' => '<string>',
'owner' => '<string>',
'tags' => [
'<string>'
],
'archived' => true,
'trackingKey' => '<string>',
'hashAttribute' => '<string>',
'seed' => '<string>',
'variations' => [
],
'jsonSchema' => [
'schema' => '<string>',
'simple' => [
'fields' => [
[
'key' => '<string>',
'required' => true,
'default' => '<string>',
'description' => '<string>',
'enum' => [
'<string>'
],
'min' => 123,
'max' => 123,
'nullable' => true,
'jsonSchema' => '<string>'
]
],
'additionalProperties' => true,
'invariants' => [
[
'name' => '<string>',
'rule' => '<string>',
'message' => '<string>'
]
]
],
'enabled' => true
],
'datasource' => '<string>',
'interleavingQueryId' => '<string>',
'userIdType' => '<string>',
'metrics' => [
[
'id' => '<string>',
'analyses' => [
[
'type' => 'paired'
]
]
]
],
'coverage' => 0.5,
'condition' => '<string>',
'savedGroups' => [
[
'ids' => [
'<string>'
]
]
],
'prerequisites' => [
[
'id' => '<string>',
'condition' => '<string>'
]
],
'environmentSettings' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.growthbook.io/api/v1/interleavings/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"project\": \"<string>\",\n \"owner\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"archived\": true,\n \"trackingKey\": \"<string>\",\n \"hashAttribute\": \"<string>\",\n \"seed\": \"<string>\",\n \"variations\": [],\n \"jsonSchema\": {\n \"schema\": \"<string>\",\n \"simple\": {\n \"fields\": [\n {\n \"key\": \"<string>\",\n \"required\": true,\n \"default\": \"<string>\",\n \"description\": \"<string>\",\n \"enum\": [\n \"<string>\"\n ],\n \"min\": 123,\n \"max\": 123,\n \"nullable\": true,\n \"jsonSchema\": \"<string>\"\n }\n ],\n \"additionalProperties\": true,\n \"invariants\": [\n {\n \"name\": \"<string>\",\n \"rule\": \"<string>\",\n \"message\": \"<string>\"\n }\n ]\n },\n \"enabled\": true\n },\n \"datasource\": \"<string>\",\n \"interleavingQueryId\": \"<string>\",\n \"userIdType\": \"<string>\",\n \"metrics\": [\n {\n \"id\": \"<string>\",\n \"analyses\": [\n {\n \"type\": \"paired\"\n }\n ]\n }\n ],\n \"coverage\": 0.5,\n \"condition\": \"<string>\",\n \"savedGroups\": [\n {\n \"ids\": [\n \"<string>\"\n ]\n }\n ],\n \"prerequisites\": [\n {\n \"id\": \"<string>\",\n \"condition\": \"<string>\"\n }\n ],\n \"environmentSettings\": {}\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.growthbook.io/api/v1/interleavings/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"project\": \"<string>\",\n \"owner\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"archived\": true,\n \"trackingKey\": \"<string>\",\n \"hashAttribute\": \"<string>\",\n \"seed\": \"<string>\",\n \"variations\": [],\n \"jsonSchema\": {\n \"schema\": \"<string>\",\n \"simple\": {\n \"fields\": [\n {\n \"key\": \"<string>\",\n \"required\": true,\n \"default\": \"<string>\",\n \"description\": \"<string>\",\n \"enum\": [\n \"<string>\"\n ],\n \"min\": 123,\n \"max\": 123,\n \"nullable\": true,\n \"jsonSchema\": \"<string>\"\n }\n ],\n \"additionalProperties\": true,\n \"invariants\": [\n {\n \"name\": \"<string>\",\n \"rule\": \"<string>\",\n \"message\": \"<string>\"\n }\n ]\n },\n \"enabled\": true\n },\n \"datasource\": \"<string>\",\n \"interleavingQueryId\": \"<string>\",\n \"userIdType\": \"<string>\",\n \"metrics\": [\n {\n \"id\": \"<string>\",\n \"analyses\": [\n {\n \"type\": \"paired\"\n }\n ]\n }\n ],\n \"coverage\": 0.5,\n \"condition\": \"<string>\",\n \"savedGroups\": [\n {\n \"ids\": [\n \"<string>\"\n ]\n }\n ],\n \"prerequisites\": [\n {\n \"id\": \"<string>\",\n \"condition\": \"<string>\"\n }\n ],\n \"environmentSettings\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.growthbook.io/api/v1/interleavings/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"project\": \"<string>\",\n \"owner\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"archived\": true,\n \"trackingKey\": \"<string>\",\n \"hashAttribute\": \"<string>\",\n \"seed\": \"<string>\",\n \"variations\": [],\n \"jsonSchema\": {\n \"schema\": \"<string>\",\n \"simple\": {\n \"fields\": [\n {\n \"key\": \"<string>\",\n \"required\": true,\n \"default\": \"<string>\",\n \"description\": \"<string>\",\n \"enum\": [\n \"<string>\"\n ],\n \"min\": 123,\n \"max\": 123,\n \"nullable\": true,\n \"jsonSchema\": \"<string>\"\n }\n ],\n \"additionalProperties\": true,\n \"invariants\": [\n {\n \"name\": \"<string>\",\n \"rule\": \"<string>\",\n \"message\": \"<string>\"\n }\n ]\n },\n \"enabled\": true\n },\n \"datasource\": \"<string>\",\n \"interleavingQueryId\": \"<string>\",\n \"userIdType\": \"<string>\",\n \"metrics\": [\n {\n \"id\": \"<string>\",\n \"analyses\": [\n {\n \"type\": \"paired\"\n }\n ]\n }\n ],\n \"coverage\": 0.5,\n \"condition\": \"<string>\",\n \"savedGroups\": [\n {\n \"ids\": [\n \"<string>\"\n ]\n }\n ],\n \"prerequisites\": [\n {\n \"id\": \"<string>\",\n \"condition\": \"<string>\"\n }\n ],\n \"environmentSettings\": {}\n}"
response = http.request(request)
puts response.read_body{
"interleaving": {
"id": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"name": "<string>",
"owner": "<string>",
"tags": [
"<string>"
],
"archived": true,
"status": "draft",
"key": "<string>",
"trackingKey": "<string>",
"hashAttribute": "<string>",
"seed": "<string>",
"variations": [
{
"id": "<string>",
"key": "<string>",
"name": "<string>",
"config": "<string>",
"description": "<string>"
}
],
"jsonSchema": {
"schemaType": "schema",
"schema": "<string>",
"simple": {
"type": "object",
"fields": [
{
"key": "<string>",
"type": "integer",
"required": true,
"default": "<string>",
"description": "<string>",
"enum": [
"<string>"
],
"min": 123,
"max": 123,
"nullable": true,
"jsonSchema": "<string>"
}
],
"additionalProperties": true,
"invariants": [
{
"name": "<string>",
"rule": "<string>",
"message": "<string>"
}
]
},
"enabled": true,
"date": "2023-11-07T05:31:56Z"
},
"datasource": "<string>",
"interleavingQueryId": "<string>",
"userIdType": "<string>",
"metrics": [
{
"id": "<string>",
"analyses": [
{
"type": "paired"
}
]
}
],
"environmentSettings": {},
"description": "<string>",
"project": "<string>",
"ownerEmail": "<string>",
"dateStarted": "2023-11-07T05:31:56Z",
"dateStopped": "2023-11-07T05:31:56Z",
"coverage": 0.5,
"condition": "<string>",
"savedGroups": [
{
"match": "all",
"ids": [
"<string>"
]
}
],
"prerequisites": [
{
"id": "<string>",
"condition": "<string>"
}
]
}
}{
"confirmation": {
"id": "<string>",
"status": "pending",
"actions": [
{
"action": "feature.create",
"environments": [
"<string>"
]
}
],
"summary": "<string>",
"url": "<string>",
"expiresAt": "<string>",
"response": {
"status": 123,
"body": "<unknown>"
},
"note": "<string>"
},
"message": "<string>"
}
